Fernsehen mit der XBOX - Installation von Xineliboutput auf der xBox
Diese Anleitung orientiert sich an einem Wiki Eintrag und beschreibt die Installation von Xineliboutput mit Hilfe von Xebian auf der XBOX.
1. Als erstes muss Xebian auf der XBOX installiert werden. Dazu benötigt ihr eine XBOX auf der unsignierte Software läuft. Das Image gibt es hier zum herunterladen.
2. Debian Grundkonfiguration: Nameserver anpassen:
vim /etc/resolv.conf
Standard Software installieren:
apt-get update apt-get install vim unp bzip2 Exim4 entfernen, da Mailserver nicht benötigt wird: apt-get remove --purge exim4
Syntax Highlighting aktivieren:
vim /etc/vim/vimrc
Die Zeile
" syntax on
einkommentieren
syntax on
Falls DHCP gewünscht wird müssen die Interfaces angepasst werden:
vim /etc/network/interfaces
In diesem Fall muss das static in dhcp geändert werden, die 3 Zeilen darunter werden auskommentiert.
vim /etc/apt/sources.list
deb http://ftp.at.debian.org/debian/ stable main contrib non-free
deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb-src http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free
#Debian Multimedia
deb http://www.debian-multimedia.org etch main
deb-src http://debian-multimedia.org etch main
# VDR
deb http://e-tobi.net/vdr-experimental etch base addons vdr-multipatch
apt-get update
ACHTUNG NICHT: apt-get upgrade ausführen
Nun verbindet man sich am besten per SSH zur XBOX.
3. XServer Installation:
apt-get install xserver-xorg xineliboutput-sxfe xterm xfonts-base xfonts-base vim /etc/X11/xorg.conf
Section "Files"
FontPath "/usr/share/fonts/X11/misc"
FontPath "/usr/X11R6/lib/X11/fonts/misc"
FontPath "/usr/share/fonts/X11/cyrillic"
FontPath "/usr/X11R6/lib/X11/fonts/cyrillic"
FontPath "/usr/share/fonts/X11/100dpi/:unscaled"
FontPath "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
FontPath "/usr/share/fonts/X11/75dpi/:unscaled"
FontPath "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
FontPath "/usr/share/fonts/X11/Type1"
FontPath "/usr/X11R6/lib/X11/fonts/Type1"
FontPath "/usr/share/fonts/X11/100dpi"
FontPath "/usr/X11R6/lib/X11/fonts/100dpi"
FontPath "/usr/share/fonts/X11/75dpi"
FontPath "/usr/X11R6/lib/X11/fonts/75dpi"
# path to defoma fonts
FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection
Section "Module"
Load "bitmap"
Load "dbe"
Load "ddc"
Load "dri"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "record"
Load "vbe"
EndSection
Section "InputDevice"
Identifier "Generic Keyboard"
Driver "kbd"
Option "CoreKeyboard"
Option "XkbRules" "xorg"
Option "XkbModel" "pc105"
Option "XkbLayout" "us"
EndSection
Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/input/mice"
Option "Protocol" "ImPS/2"
Option "Emulate3Buttons" "true"
EndSection
Section "Device"
Identifier "nVidia Corporation GeForce3 MX for XBox"
# Driver "nv"
Driver "nvxbox"
Option "UseFBDev" "true"
Option "HWCursor" "false"
# Option "NoAccel" "true"
EndSection
Section "Device"
Identifier "Frame Buffer"
Driver "fbdev"
Option "UseFBDev" "true"
EndSection
Section "Monitor"
Identifier "Generic Monitor"
Option "DPMS"
HorizSync 28-32
VertRefresh 43-60
EndSection
Section "Screen"
Identifier "Default Screen"
Device "nVidia Corporation GeForce3 MX for XBox"
# Device "Frame Buffer"
Monitor "Generic Monitor"
DefaultDepth 24
SubSection "Display"
Depth 1
Modes "640x480"
EndSubSection
SubSection "Display"
Depth 4
Modes "640x480"
EndSubSection
SubSection "Display"
Depth 8
Modes "640x480"
EndSubSection
SubSection "Display"
Depth 15
Modes "640x480"
EndSubSection
SubSection "Display"
Depth 16
Modes "640x480"
EndSubSection
SubSection "Display"
Depth 24
Modes "640x480"
EndSubSection
EndSection
Section "DRI"
Mode 0666
EndSection
4. Init Skript anpassen:
vim /etc/init.d/xorg
#! /bin/sh
### BEGIN INIT INFO
# Provides: X4VDR
# Required-Start: $local_fs
# Required-Stop: vdr
# Default-Start: 2
# Default-Stop:
# Short-Description: X-Server for VDR
# Description: Starts the X-Server for the VDR.
### END INIT INFO
#
# Author: Helmar Gerloni <helmar@gerloni.net>
# Version: 2006-09-13
#
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="X-Server for VDR"
NAME=X4VDR
PIDFILE=/var/run/$NAME\.pid
SCRIPTNAME=/etc/init.d/$NAME
#
# Function that starts X.
#
d_start() {
vdr-sxfe --tcp --reconnect --syslog --fullscreen --video=xv xvdr://vdr.server.ip:37890 > /dev/null 2&>1 &
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --exec /usr/bin/X -- :0 vt7 -br -nolisten tcp
if [ $? -gt 0 ]; then
echo "Error starting X-Server."
exit $?
fi
}
#
# Function that stops X.
#
d_stop() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE
if [ $? -gt 0 ]; then
echo "Error stopping X-Server."
fi
}
case "$1" in
start)
echo -n "Starting $DESC: $NAME"
d_start
echo "."
;;
stop)
echo -n "Stopping $DESC: $NAME"
d_stop
echo "."
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
exit 0
Das Script ausführbar machen mit:
chmod ug+x /etc/init.d/xorg
Das VDR Script startet nun den X-Server und zugleich vdr-sxfe. Zum starten und testen einfach:
/etc/init.d/xorg start
eingeben